#include<bits/stdc++.h>
using namespace std;
long long n,m,okvir,res,unutrasnjost;
int main(){
  cin>>n>>m;
  if(n==1){
    res=m;
  }
  else if(m==1){
    res=n;
  }
  else{
    n-=2;
    okvir=2*(m+n);
    m-=2;
    unutrasnjost=n*m/2;
    res=okvir+unutrasnjost;
  }
  cout<<res<<endl;
return 0;
}